routes/web.php
<?php

use App\Helpers\CustomerHelper;
use App\Http\Controllers\BillsController;
use App\Http\Controllers\CustomersController;
use App\Http\Controllers\CustomerWaresControler;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ProductMarketController;
use App\Http\Controllers\ProductTemplateController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

/*------------------------------------------
--------------------------------------------
All Normal Users Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:user'])->group(function () {

    Route::get('/home', [HomeController::class, 'index'])->name('home');
});

/*------------------------------------------
--------------------------------------------
All Admin Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:admin'])->group(function () {

    //customers
    Route::resource('admin/customers', CustomersController::class);
    Route::get('admin/delete_subcategory', [CustomersController::class, 'delete_subcategory']);
    Route::get('admin/downloadPDF', [CustomersController::class, 'downloadPDF']);

    //helpers
    Route::get('admin/show_subcategory_by_category_id', [CustomerHelper::class, 'show_subcategory_by_category_id']);
    Route::get('admin/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);
    Route::get('admin/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);
    Route::get('admin/customers_autocomplete', [CustomerHelper::class, 'customers_autocomplete']);
    Route::get('admin/find_textiles_filters', [CustomerHelper::class, 'find_textiles_filters']);
    Route::get('admin/find_market_product', [CustomerHelper::class, 'find_market_product']);
    Route::get('admin/get_subcategoires_by_category_id', [CustomerHelper::class, 'get_subcategoires_by_category_id']);
    Route::get('admin/search_ware_name', [CustomerHelper::class, 'search_ware_name']);
    Route::get('admin/template_child_validator', [CustomerHelper::class, 'template_child_validator']);
    Route::get('admin/take_categories', [CustomerHelper::class, 'take_categories']);
    Route::get('admin/subcategories_for_category', [CustomerHelper::class, 'subcategories_for_category']);

//    Route::get('admin/customer/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);

    //ware
    Route::resource('admin/wares', CustomerWaresControler::class);
//    Route::get('admin/wares', [CustomerWaresControler::class, 'index']);

    //ware-textile
    Route::get('admin/textile', [CustomerWaresControler::class, 'customers_textile'])->name('textile');


    //bils
    Route::resource('admin/bills', BillsController::class);
//    Route::get('admin/bills', [BillsController::class, 'index']);
//    Route::get('admin/customers/{id}/create_bill', [BillsController::class, 'generate_bill'])->name('create_bill');
    Route::get("/admin/get_customer_coin", [CustomerHelper::class, 'get_customer_coin']);

    /*product template*/
    Route::resource('admin/templates', ProductTemplateController::class);
    Route::post('admin/templates/create_child_templates', [CustomerHelper::class, 'create_child_templates']);
    Route::get('admin/templates/show_template_child/{parent_id}/{child_id}', [ProductTemplateController::class, 'show_template_child'])->name('templates.show_template_child');
    Route::get('admin/templates/show_template_table/{parent_id}/{child_id}', [ProductTemplateController::class, 'show_template_table'])->name('templates.show_template_table');

    /*product market route*/
    Route::resource('admin/market', ProductMarketController::class);


});

/*------------------------------------------
--------------------------------------------
All Admin Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:manager'])->group(function () {

    Route::get('/manager/home', [HomeController::class, 'managerHome'])->name('manager.home');
});

app/Models/Bills.php
<?php

namespace App\Models;

use Dflydev\DotAccessData\Data;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Bills extends Model
{
    use HasFactory;

    protected $fillable = [
        'customer_id', 'type', 'bill_date', 'bill_number', 'currency', 'exchange', 'tva', 'item',
        'specify_id',
    ];

    public function create_bill_and_update_ware($data)
    {
        $bill = Bills::create($data);

        foreach ($data['wares_id'] as $wares) {
            DB::select("UPDATE customer_wares
                SET status = 1, bill_id = " . $bill->id . "
                WHERE id = {$wares}");
        }
    }

    public function get_customer_bill_by_id($bill_id)
    {
        $i = 0;
        $generatedBills = array();
        $generatedBills[$i] = DB::select(
            "SELECT *
            FROM customer_wares AS w
            LEFT JOIN bills AS b
            ON w.bill_id = b.id
            WHERE w.bill_id = {$bill_id}"
        );
        $i++;

        if ($generatedBills) {
            return $generatedBills;
        } else {
            return false;
        }
    }

    public function get_bill_by_id($bill_id)
    {
        if (is_numeric($bill_id)) {
            return DB::table('bills')->where('id', $bill_id)->first();
        }
        return false;
    }

    public function delete_bill_and_wares($bill_id)
    {

        DB::table('bills')->where('id', $bill_id)->delete();
        DB::table('customer_wares')->where('bill_id', $bill_id)->delete();
    }

    public function get_bills_by_filter($customer_name = false, $type = false, $start_date = false, $end_date = false)
    {

        $query = "
            SELECT
                b.id,
                b.customer_id,
                c.name,
                b.item,
                b.bill_date,
                b.bill_number,
                b.exchange,
                b.tva,
                b.currency
            FROM bills AS b
            JOIN customers AS c
            ON b.customer_id = c.id
            ";

        if ($customer_name) {
            $query .= " WHERE c.name LIKE '%{$customer_name}%'";
        }

        if ($customer_name && $type) {
            $query .= " AND b.type = {$type}";
        } else if ($type) {
            $query .= " WHERE b.type = {$type}";
        }

        if (($customer_name || $type) && ($start_date && $end_date)) {
            $query .= " AND b.bill_date BETWEEN '{$start_date}' AND '{$end_date}'  ORDER BY b.bill_date ASC ";
        } else if ($start_date && $end_date) {
            $query .= " WHERE b.bill_date BETWEEN '{$start_date}' AND '{$end_date}' ORDER BY b.bill_date ASC ";
        }

        $bills = DB::select($query);

        foreach ($bills as $bill) {
            $ware_price = DB::table('bills')
                ->leftJoin('customer_wares', 'customer_wares.bill_id', 'bills.id')
                ->where('bill_id', $bill->id)
                ->sum('price');

            if ($bill->currency == 1) {
                $bill->total_price_euro = $ware_price;
                $bill->total_price_lei = number_format($ware_price * $bill->exchange, 2);

            } else {
                $bill->total_price_euro = number_format($ware_price / $bill->exchange, 2);
                $bill->total_price_lei = $ware_price;
            }
        }
        return $bills;
        
    }

    public function get_bills_to_autocomplete_suggestions($search, $customer_id, $row_name, $ware_custom_code, $ware_product_name_selected, $bill_date)
    {

        if (!$customer_id || !$row_name || !$ware_custom_code || !$ware_product_name_selected) {
            return false;
        }

        $query = "SELECT b.{$row_name}, b.id
                FROM bills AS b
                LEFT JOIN customer_wares AS w
                ON w.bill_id = b.id
                WHERE b.customer_id = {$customer_id}
                AND b.{$row_name} LIKE '%{$search}%'
                AND w.custom_code = '{$ware_custom_code}'
                AND w.product_name = '{$ware_product_name_selected}'
                ";

        if ($bill_date) {
            $query .= "AND b.bill_date = '{$bill_date}'";
        }

        $employees = DB::select($query);
        $response = array();

        foreach ($employees as $employee) {
            $response[] = array(
                "id" => $employee->id,
                "text" => $employee->$row_name
            );
        }

        return $response;
    }
}

app/Http/Controllers/BillsController.php
<?php


namespace App\Http\Controllers;

use App\Helpers\CustomerHelper;
use App\Models\Bills;
use App\Models\Customers;
use App\Models\CustomerWares;
use App\Models\Products;
use Barryvdh\DomPDF\Facade\Pdf;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Termwind\Components\Dt;

class BillsController extends Controller
{
    public Products $product;
    public Customers $customers;
    public CustomerHelper $helper;
    public Bills $bills;
    public CustomerWares $wares;

    public function __construct()
    {
        $this->product = new Products();
        $this->customers = new Customers();
        $this->helper = new CustomerHelper();
        $this->bills = new Bills();
        $this->wares = new CustomerWares();
    }

    public function index(Request $request)
    {

        $data['filtering_criteria'] = array(
            'customer_name' => $request->input('customer_name'),
            'type' => $request->input('type'),
            'start_date' => $request->input('start_date'),
            'end_date' => $request->input('end_date'),
        );

        $data['customer_id'] = $request->customer_id;
        $data['bills'] = $this->bills->get_bills_by_filter($request->customer_name, $request->type, $request->start_date, $request->end_date);
        $data['filter_title'] = $this->helper->generate_title_by_filter_bills($request->customer_name, $request->type, $request->start_date, $request->end_date);
        //       dump($data['filter_title']);

        if ($request->downloadPDF == 'PDF') {
            $pdf = PDF::loadView('bills.pdf_list', $data);
            return $pdf->download('invoice.pdf');
        }

        return view('bills.bills_index', $data);
    }

    public function create(Request $request)
    {
        //        $customer = (array)$this->customers->get_customer_and_categories_by_id($request->customer_id);

        $data = array(
            'furnace_categories' => $this->product->get_furnace_categories(),
            'subcategories' => $this->product->get_subcategory_for_customer_category(),
        );
        //        dd($data['customer']['customer_id']);
        return view('bills.bills_create', $data);
    }

    public function store(Request $request)
    {
        // dd($request->input());
        // tre sa fac sa se salveze datele din request si sa adauge si la provideri datele
        $request->validate([
            'customer_id' => 'required',
            'bill_date' => 'required',
            'bill_number' => 'required',
            'currency' => 'required',
            'exchange' => 'required',
            'tva' => 'required',
            'item' => 'required',
            'type' => 'required',
        ]);

        $bill = Bills::create($request->input());

        $this->wares->create_wares_from_bill($bill->id, $request->input());
        //        $this->bills->create_bill_and_update_ware($request->input());

        return redirect()->route('bills.index', $request->customer_id)
            ->with('success', 'Bills has been created successfully.');
    }


    public function show(Request $request)
    {
        $data['customer_id'] = $request->customer_id;
        $bill = $this->bills->get_customer_bill_by_id($request->bill);
        $data['bills'] = $this->helper->bills_value_calculated_ware($bill);
        $bill = DB::table('bills')->where('id', $request->bill)->first();
        $data['bill'] = $bill;
        // dd($bill);
        $data['customer'] = DB::table('customers')->where('id', '=', $bill->customer_id)->select('id', 'name', 'country')->first();

        // dd($data['customer']);
        if ($request->downloadPDF == 'PDF') {
            $pdf = PDF::loadView('bills.bill_table_pdf', $data);
            return $pdf->download('invoice.pdf');
        }

        return view('bills.bills_show', $data);
    }

    public function edit(Request $request)
    {
        $data['bill'] = $this->bills->get_bill_by_id($request->bill);
        $data['customer'] = (array)$this->customers->get_customer_by_id($request->customer_id);
        $data['wares'] = $this->wares->get_wares_by_customer_id($request->customer_id, 1);
        //        dd($data['wares']);

        return view('bills.bills_edit', $data);
    }


    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => 'required',
            'email' => 'required',
            'address' => 'required',
        ]);
        $bills = Bills::find($id);
        $bills->name = $request->name;
        $bills->email = $request->email;
        $bills->address = $request->address;
        $bills->save();
        return redirect()->route('bills.index')
            ->with('success', 'Bills Has Been updated successfully');
    }

    public function destroy(Request $request)
    {
        //        dd($request->customer_id);
        $result = $this->bills->delete_bill_and_wares($request->bill);
        $message = 'Factura stearsa cu succes';
        if (!$result) {
            $message = 'Clientul nu a fost sters, a aparut o eroare';
        }
        return redirect()->route('bills.index', $request->customer_id)
            ->with('success', $message);
    }

    public function generate_bill(Request $request)
    {
        $customer = $this->customers->get_customer_and_categories_by_id($request->id);

        $data = array(
            'customer' => $customer,
            'wares' => $this->wares->get_wares_id_from_customer_id($request->id),
            'coin' => $this->helper->show_coin_by_country($customer['country']),
            'furnace_categories' => $this->product->get_furnace_categories(),
            'subcategories' => $this->product->get_subcategory_for_customer_category(),
        );
        //        dd($data['customer']['customer_id']);
        return view('bills.bills_create', $data);
    }

    public function customer_bills()
    {
        //  dd($data["customer"]);
        dd('asssiiccc');
        //        $data["customer"]=$this->customers->get_customer_and_categories_by_id($customer->id);
        //        $data["generated_bills"]=$this->bills->get_customer_bill_by_id($customer->id);
        //        dd($data);

        return view('customers.show', $data);
    }
}

resources/views/bills/bills_edit.blade.php
@extends('layouts.app')

@section('content')

    <head>
        <title>Creeaza Factura</title>
    </head>

    <body>
    @if ($errors->any())

        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
                <p>{{ $error }}</p>
            @endforeach
        </div>

    @endif

    <div class="container mt-2">
        <div class="row">
            <div class="col-lg-12 margin-tb">
                <div class="pull-left mb-2">
                    <h3>Adauga Factura</h3>
                </div>
                <div class="pull-right">
                    <a class="btn btn-primary" href="{{ route('bills.index', $customer['id']) }}"> Inapoi</a>
                </div>
            </div>
        </div>
        @if(session('status'))
            <div class="alert alert-success mb-1 mt-1">
                {{ session('status') }}
            </div>
        @endif
        <form action="{{ route('bills.store', $customer['id']) }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>Client:</strong>

                        <input type="hidden" name="customer_id" value="{{$customer['id'] ?? ''}}">
                        <input type="text" value="{{$customer['name'] ?? ''}}" class="form-control"
                               placeholder="Client Name">
                        @error('name')
                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong> <i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>Cod:</strong>
                        <input type="number" name="unique_code" value="{{$customer['unique_code'] ?? ''}}"
                               class="form-control"
                               placeholder="Cod">
                        @error('Cod')
                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                        @enderror
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>Data
                            Facturarii:</strong>
                        @error('data facturarii')
                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="form-row">
                        <strong>Start Date</strong>
                        <input id="startdate" name="bill_date" value="{{date('d/m/Y')}}" class="form-control col-md-2">

                    </div>
                </div>

                <br>
                <br>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>Numar:</strong>
                        <input type="number" name="bill_number" class="form-control" placeholder="Numar">
                        @error('number')
                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>Moneda:</strong>
                        <input class="form-control" name="currency" value="{{$coin['label'] ?? ''}}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>Curs
                            Valutar:</strong>
                        <input type="number" name="exchange" class="form-control" placeholder="Curs Valutar">
                        @error('number')
                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>TVA:</strong>
                        <input type="text" name="tva" class="form-control" placeholder="TVA">
                        @error('tva')
                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>#Articole:</strong>
                        <input type="number"
                               name="item"
                               id="indexNumberOfArticle"
                               class="form-control"
                               placeholder="#Articole"
                        >
                        @error('articole')
                        <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong><i class="fa fa-asterisk" style="font-size:7px;color:red; vertical-align: top;"></i>Tipul:</strong>
                        <select name="type" class="form-select" aria-label="Default select example">
                            <br>
                            <option value="1">Proforma</option>
                            <option value="2">Definitiva</option>
                        </select>
                    </div>
                </div>
                <br>
                <br>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <ul>
                            @foreach($wares as $ware)
                                <li value="{{$ware->id}}">{{$ware->product_name}}</li>
                                <input name="wares_id[]" type="hidden" value="{{$ware->id}}">

                                <div class="dropdown option-button">
                                    <div class=" dropdown" type="button" id="dropdownMenuButton" data-toggle="dropdown"
                                         aria-haspopup="true" aria-expanded="false">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                             fill="currentColor"
                                             class="bi bi-three-dots-vertical" viewBox="0 0 16 16">
                                            <path
                                                d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z"/>
                                        </svg>
                                    </div>

                                    <form
                                        action="{{ route('wares.destroy', ['customer_id'=>$customer['id'],'ware'=>$ware->id]) }}"
                                        method="POST"
                                    >
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">

                                            <a class="dropdown-item"
                                               href="{{ route('wares.edit', ['customer_id'=>$customer['id'], 'ware'=>$ware->id])}}">
                                                Edit
                                            </a>

                                            @csrf
                                            @method('DELETE')
                                            <button class="dropdown-item">Delete</button>

                                        </div>
                                    </form>
                                </div>

                            @endforeach
                        </ul>
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Creeaza</button>
                </div>
            </div>

        </form>
    </div>
    </body>

@endsection

<script>
    /*Datae time modal*/
    $(document).ready(function () {
        $("#startdate").datepicker();
        $("#enddate").datepicker();
    });
    /*Datae time modal end*/
</script>

resources/views/bills/bills_filter.blade.php
<div class="row searchFilter-custom round3">

    <div class=" filter-customers col-lg-12">
        <form method="get">
            <div>
                <a class="add" href="{{ route('bills.create', $customer_id) }}"> Create a Bill</a>
            </div>

            <div class="input-group select-group">
                <div>
                    <input type='text' id="find_customer" name="customer_name" placeholder="-- Select a Client --"
                        class="form-control filter-control group"
                        value="{{ $filtering_criteria['customer_name'] ?? '' }}">
                </div>

                <div>
                    <select name="type" id="department" class="form-control filter-control group">
                        <option selected value>-- Select an Option --</option>
                        <option value="1" @if (isset($filtering_criteria['type']) && $filtering_criteria['type'] == 1) selected @endif>
                            Proforma
                        </option>

                        <option value="2" @if (isset($filtering_criteria['type']) && $filtering_criteria['type'] == 2) selected @endif>
                            Definitiva
                        </option>
                    </select>
                </div>


                <div>
                    <div>

                        <input type="date" id="bills_start_date" class="form-control filter-control group"
                            value="{{ $filtering_criteria['start_date'] ?? '' }}" name="start_date">
                    </div>
                </div>

                <div>
                    <div>

                        <input type="date" id="bills_end_date" class="form-control filter-control group"
                            value="{{ $filtering_criteria['end_date'] ?? '' }}" name="end_date">
                    </div>
                </div>
            </div>



            <button id="searchBtn" type="submit" class="filter-customers-OK"> OK</button>
            @if ($bills)
                <button type="submit" name="downloadPDF" value="PDF" class="pdf-style">SALVEAZA ca
                    .pdf
                </button>
            @endif
        </form>
        <form>
            <button type="submit" class="revert-customers">REVERT</button>
        </form>
    </div>
</div>

resources/views/bills/bills_index.blade.php
@extends('layouts.app')

@section('content')

    <head>
        <meta charset="UTF-8">
        <title>Facturii</title>
    </head>

    <body>
        <div class="container mt-2">
            @include('bills.bills_filter')
        </div>
        <br>

        <div>
            <h4 class="filter-selection"> {{ $filter_title ?? 'Toate facturile' }}</h4>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif


        <div>

            @if ($bills)
                @foreach ($bills as $bill)
                    <div class="clients-group list-group-item">

                        <div class="align">
                            {{-- <a href="{{ route('bills.show',$bills->id) }}"> --}}

                            <b>{{ $bill->name }} </b>
                                       
                            @if ($bill->customer_id)
                            @endif
                            Cod: {{ $bill->customer_id }}
                            /
                            Data Facturari: {{ $bill->bill_date }}

                            @if ($bill->bill_number)
                                /
                            @endif
                            Numarul Facturi: {{ $bill->bill_number }}

                            @if ($bill->item)
                                /
                            @endif
                            # {{ $bill->item }}

                            @if ($bill->total_price_lei)
                                /
                            @endif
                            Total Lei: {{ $bill->total_price_lei }}

                            @if ($bill->total_price_euro)
                                /
                            @endif
                            Total Euro: {{ $bill->total_price_euro }}

                            @if ($bill->tva)
                                /
                            @endif
                            TVA: {{ $bill->tva }}

                            @if ($bill->exchange)
                                /
                            @endif
                            Curs Valutar: {{ $bill->exchange }}
                        </div>
                        <div class="dropdown option-button">
                            <div class=" dropdown" type="button" id="dropdownMenuButton" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                    class="bi bi-three-dots-vertical" viewBox="0 0 16 16">
                                    <path
                                        d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z" />
                                </svg>
                            </div>
                            <form
                                action="{{ route('bills.destroy', ['customer_id' => $bill->customer_id, 'bill' => $bill->id]) }}"
                                method="POST">

                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">

                                    <a class="dropdown-item" href="{{ route('bills.show', ['bill' => $bill->id]) }}">Vezi
                                        Fctura </a>

                                    @csrf
                                    @method('DELETE')
                                    <button class="dropdown-item">Delete</button>

                                </div>
                            </form>
                        </div>
                    </div>

                    <br>
                @endforeach
        </div>
    @else
        <div class="alert alert-warning">
            <h5>Nici o factura!</h5>
        </div>
        @endif

    @endsection